var userDevice;
var userIE;
var spModeLimit = 1024;
var spFlag;

var lawTextHeight = '55px';



/**
 * 条文表示画面のtocOutlineBtnの制御
 */
function setTocOutlineBtnOffset(isSetInnerDocument)
{
	var head = $('#head');
	var tocOutlineBtn = $('#tocOutlineBtn');
	var searchKeyword = $("#searchKeyword");
	if (tocOutlineBtn.length > 0 && searchKeyword.length > 0) {
		//条文表示画面で、tocOutlineBtnとsearchKeywordがある場合
		var oldOffset = tocOutlineBtn.offset();
		var headerHeight = head.hasClass('hidden') ? 0 : head.height();
		var searchKeywordHeight = searchKeyword.height();
		var searchKeywordOffset = searchKeyword.offset();
		var tocOutlineBtnOffset = tocOutlineBtn.offset();

		var newOffsetTop = /*headerHeight
							+*/ searchKeywordOffset.top
							+ searchKeywordHeight
							+ 33;
		var newInnerDocumentTop = headerHeight
								+ searchKeywordHeight;
		tocOutlineBtn.offset({top: newOffsetTop/*, left: tocOutlineBtnOffset.left*/});
		if (isSetInnerDocument) {
			$('#innerDocument').css('padding-top', newInnerDocumentTop + 'px');
		}
	}
};

$(function() {

	var oldSpFlag;
	if ($.cookie('spFlag') == null) {
		oldSpFlag = -1;
	} else {
		oldSpFlag = parseInt($.cookie('spFlag'), 10);
	}
	if ($(window).width() <= spModeLimit) {
		spFlag = 1;
	} else {
		spFlag = 0;
	}
	if (spFlag != oldSpFlag) {
		$.cookie('spFlag', spFlag, { expires: 14 });
		//location.reload();
	}

	$(window).on('resize', function() {
		var spFlag;
		if ($(window).width() <= spModeLimit) {
			spFlag = 1;
		} else {
			spFlag = 0;
		}
		if (spFlag != oldSpFlag) {
			//PC⇔SP切り替え
			oldSpFlag = spFlag;
			$.cookie('spFlag', spFlag, { expires: 14 });
			//location.reload(true);
			setTimeout(function(){location.reload(true);}, 10);
			//location.href = location.href;
		}

		//条文表示画面のtocOutlineBtn
		setTocOutlineBtnOffset(true);
	});

	if (navigator.userAgent.indexOf('iPhone') >= 0 || navigator.userAgent.indexOf('Android') >= 0 && navigator.userAgent.indexOf('Mobile') >= 0) {
		userDevice = 1;
	} else if (navigator.userAgent.indexOf('iPad') >= 0) {
		userDevice = 2;
	} else {
		userDevice = 0;
	}
	$.cookie('userDevice', userDevice, { expires: 14 });

	if (navigator.userAgent.match(/(msie|MSIE)/) || navigator.userAgent.match(/(Trident|trident)/)) {
		userIE = 1;
	} else {
		userIE = 0;
	}

	$('.windowClosed').on('click', function() {
		if ($(window).width() <= spModeLimit) {
			history.back();
		} else {
			window.open('about:blank', '_self').close();
		}
	});

	$('#toHelp').on('click', function() {
		var htmlNode = '';
		htmlNode += '<section id="popHelp" class="active">';
		htmlNode += '<h2><span>ヘルプ</span></h2>';
		htmlNode += '<div class="refineBox cf">';
		htmlNode += '<input type="text" placeholder="FAQを検索　例）ブラウザ 検索条件" value="" id="helpTextBox">';
		htmlNode += '<input type="button" id="helpBtn">';
		htmlNode += '</div>';
		htmlNode += '<button type="button" value="閉じる" class="closeBtn">閉じる</button>';
		htmlNode += '</section>';
		if ($(window).width() <= spModeLimit) {
			$('#popupSp').css({ display: 'block' });
			$('#popupSp').html(htmlNode);
			$('#popHelp').css ({ 'top': ($(window).height() - $('#popHelp').height()) / 2 + 'px', 'left': ($(window).width() - $('#popHelp').width()) / 2 + 'px' });

			$('.closeBtn').on('click', function() {
				$('#popupSp').css({ display: 'none' });
			});

			$('.closeBtn').on('keydown', function(e) {
				if (e.keyCode == 13) {
					$(this).trigger('click');
				}
			});
		} else {
			$(this).before(htmlNode);

			$('.closeBtn').on('click', function() {
				$('#popHelp').remove();
				if (userDevice == 1 || userDevice == 2) {
					$('#searchTextBox').focus();
				}
			});

			$('.closeBtn').on('keydown', function(e) {
				if (e.keyCode == 13) {
					$(this).trigger('click');
				}
			});
		}

		$('#helpTextBox').focus();

		$('#helpBtn').on('click', function() {
			if ($(window).width() <= 812) {
				location.href = './help';
			} else {
				window.open('./help');
			}
			$('.closeBtn').trigger('click');
		});
	});

	$('#toHelp').on('keydown', function(e) {
		if (e.keyCode == 13) {
			$(this).trigger('click');
		}
	});

	$('#toTop').on('click', function() {
		$('html,body').animate({ scrollTop: 0 }, 400, 'swing');
	});

	$('#toTop').on('keydown', function(e) {
		if (e.keyCode == 13) {
			$(this).trigger('click');
		}
	});

	$('#btnHamburgerMenu').on('click', function(e) {
		e.stopPropagation();
		openMenu();
		//$('#hamburgerMenu').addClass('active');
	});

	$('#btnHamburgerMenuClosed').on('click', function(e) {
		e.stopPropagation();
		closedMenu();
		//$('#hamburgerMenu').removeClass('active');
	});

	contentsHeight();
});



function openMenu() {
	var gNav = $('#hamburgerMenu');
	var bgBody = $('#bgBody');

	if( !gNav.hasClass('active') ){
		$('html, body').css('overflow', 'hidden');
		gNav.addClass('active');
		gNav.animate( {width: '85%'}, 300, 'easeOutCubic', function() {
		});
	}
	if( !bgBody.hasClass('active') ){
		bgBody.addClass('active');
		bgBody.animate( { opacity: 0.6 }, 300, 'easeOutCubic');
	}
}
function closedMenu() {
	var gNav = $('#hamburgerMenu');
	var bgBody = $('#bgBody');

	if( gNav.hasClass('active') ){
		$('html, body').removeAttr('style');
		gNav.animate( {width: '0'}, 300, 'easeOutCubic', function() {
			gNav.removeClass('active');
		});
	}
	if( bgBody.hasClass('active') ){
		bgBody.animate( { opacity: 0 }, 300, 'easeOutCubic', function() {
			bgBody.removeClass('active');
		});
	}
}


//---------重複コードの整理用 ここまで-----------


// トップ位置からのスクロールでヘッダを隠す =====
// 【条文ページ】左メニュー
var leftNaviSide     = $('#tocOutlineWrap');

var headerHight = 50; //65;
var documentAncFlag = 0;
var currentWidth = $( window ).innerWidth();
//	if ($(window).width() <= spModeLimit) {
//		headerHight = 120;
//	}
$(function(){
	var deviceFlag;
	var beforeChange;
	var afterChange;
	//ブレイクポイントをまたいだ際のリセット（リロード）
	$( window ).resize(function() {
		windowWidth  = $( window ).innerWidth();
		beforeChange = deviceFlag;
		if( 1024 < windowWidth ){
			//PC
			deviceFlag  = 1;
			afterChange = 1;
		}else{
			//スマホ
			deviceFlag = 0;
			afterChange = 0;
		}
		if ( beforeChange != afterChange &&  userDevice == 0 ) {
			if ( currentWidth == windowWidth ) {
				// ウインドウ横幅が変わっていないため処理をキャンセル。
				return;
			}
			//location.reload();
		}
	});

	var windowClosed  = $('.windowClosed');
	windowClosed.on('click', function() {
		if( windowWidth < breakPointSp ){
			history.back();
		}else{
			window.open('about:blank','_self').close();
		}
	});

	var topScrollBefor;
	var header = $("header");
	var innerSearchBox = $('#innerSearchBox');
	var searchKeyword = $("#searchKeyword");
	$( window ).scroll(function () {
		header.css( {"left":-window.scrollX + "px"} );
		var topScroll = $( document ).scrollTop();
		searchBoxSp = $('#searchBoxSp');
		if( documentAncFlag == 1 ) {
			if( leftNaviSide.length ) {
				leftNaviSide.removeClass('hiddenHead');
			}
			if( searchBoxSp.length) {
				searchBoxSp.removeClass('hidden');
			}
			header.removeClass('hidden');
			searchKeyword.removeClass('active');
		}else if( documentAncFlag == 2 ) {
			//条文ページのアンカーリンクではアニメーションでワンクッション必要
			documentAncFlag = 0;
		}else{
			if( headerHight < topScroll ){
				if( topScroll < topScrollBefor ) {
					if( leftNaviSide.length) {
						leftNaviSide.removeClass('hiddenHead');
					}
					if( innerSearchBox.length) {
						innerSearchBox.removeClass('hidden');
					}
					header.removeClass('hidden');
					searchKeyword.removeClass('active');
				} else {
					if( leftNaviSide.length) {
						leftNaviSide.addClass('hiddenHead');
					}
					if( innerSearchBox.length) {
						innerSearchBox.addClass('hidden');
					}
					header.addClass('hidden');
					searchKeyword.addClass('active');
				}
			} else {
				if( leftNaviSide.length) {
					leftNaviSide.removeClass('hiddenHead');
				}
				if( innerSearchBox.length) {
					innerSearchBox.removeClass('hidden');
				}
				header.removeClass('hidden');
				searchKeyword.removeClass('active');
			}

//			var imgPos = $('footer').offset().top;
//			var scroll = $(window).scrollTop();
//			var windowHeight = $(window).height();
//			if (scroll > imgPos - windowHeight){
//				leftNaviSide.addClass('showFoot');
//				var body = window.document.body;
//				var html = window.document.documentElement;
//				var scrollTop = body.scrollTop || html.scrollTop;
//				var h = html.scrollHeight - html.clientHeight - scrollTop;
//				if (userIE == 1) {
//					h = 103 - h;
//				} else {
//					h = 100 - h;
//				}
//				var wh = $(window).height();
//				var lh = wh - h;
//				leftNaviSide.css('height', lh + 'px');
//				leftNaviSide.scrollTop(99999);
//			} else {
//				leftNaviSide.removeClass('showFoot');
//				if ($('header').is(':visible')) {
//					leftNaviSide.css('height', 'calc(100% - 67px)');
//				} else {
//					leftNaviSide.css('height', 'calc(100% - 67px + 70px)');
//				}
//			}

			if( $('body.document').length ) {
				tocHeight();
			}
		}

		topScrollBefor = $( document ).scrollTop();

		//条文表示画面のハイライト操作パネル
		setTocOutlineBtnOffset(false);
	});

});


var direction, position;
//alert('X');
//スワイプ開始時の横方向の座標を格納
function onTouchStart(event) {
	//event.preventDefault();
	position  = getPosition(event);
	direction = ''; //一度リセットする
	//alert('X1');
}
//スワイプの方向（left／right）を取得
function onTouchMove(event) {
	//event.preventDefault();
	if (position - getPosition(event) > 70) { // 70px以上移動しなければスワイプと判断しない
		direction = 'left'; //左と検知
	} else if (position - getPosition(event) < -70){  // 70px以上移動しなければスワイプと判断しない
		direction = 'right'; //右と検知
	}
	//alert('X2');
}
function onTouchMoreColumnEnd(event) {
	//event.preventDefault();
	//alert('X3');
	if (direction == 'right'){
		closedMoreColumn() ;
	}
}
function onTouchFDLEnd(event) {
	//event.preventDefault();
	//alert('X3');
	if (direction == 'right'){
		closedFileDownload() ;
	}
}
function onTouchJyobunFDLEnd(event) {
	//event.preventDefault();
	//alert('X3');
	if (direction == 'right'){
		closedFileDownload('1') ;
	}
}




//リスト詳細表示 ====================
var actionTarget;
var actionTargetWrap;
function swipeListPopup( btn ) {
	//スクロールアクション
	actionTarget.off('touchstart');
	actionTarget.off('touchmove');
	actionTarget.off('touchend');

	actionTarget.on('touchstart', onTouchStart); //指が触れたか検知
	actionTarget.on('touchmove', onTouchMove); //指が動いたか検知
	if ( btn == 'info' ) {
		actionTarget.on( 'touchend' , onTouchMoreColumnEnd); //指が離れたか検知
	}else if( btn == 'file' ) {
		actionTarget.on( 'touchend' , onTouchFDLEnd ); //指が離れたか検知
	}else{
		actionTarget.on( 'touchend' , onTouchJyobunFDLEnd ); //指が離れたか検知
	}
}

function closeOpenedPopup()
{
	//開いているファイルダウンロードがあれば閉じる
	var dl = $('.lawDownload.active');

	dl.removeClass('active');
	if (windowWidth < 1024) {
		dl.width(0);
	} else {
		dl.css( 'height','auto' );
	}

	//開いているインフォメーションがあれば閉じる
	var more = $('.moreColumn.active');
	more.removeClass('active');
	more.css('height','auto');
	more.parent().css('height','auto');
	if (windowWidth < 1024) {
		more.width(0);
	} else {
	}
}

function openMoreColumn(  ) {
	closeOpenedPopup();

	actionTarget.addClass('active');
	actionTarget.css('width', '0');
	actionTarget.css('opacity', '0');
	actionTarget.animate( {width: '100%',opacity: 1}, 100, 'easeOutCubic', function() {

		heightSet( 1 );
	});
}

function closedMoreColumn( ) {
	actionTarget.animate( {width: '0',opacity: 0}, 90, 'easeOutCubic', function() {
		moreColumn.removeClass('active');
		moreColumn.css('opacity', '1');
		actionTargetWrap.css( 'height','auto' );
		//ここの処理を変更する場合、closeOpenedPopup()も同様に修正すること

	});
}
function openFileDownload( page ) {
	closeOpenedPopup();

	var wSize;
	if ( page == 1 ) {
		//wSize = 'calc( 100% - 10px )';
		//wSize = 'calc( 100% - 1px )';
		actionTarget.css('height', 'auto');
		wSize = '97%';
	}else {
		wSize = '100%';
	}
	actionTarget.addClass("active");

	var posElem = actionTarget.find('.downloadOpenBtn');
	var pos = posElem.offset();


	actionTarget.css('opacity', '0');
	actionTarget.animate( {width: wSize,opacity: 1}, 100, 'easeOutCubic', function() {

	});
}
function closedFileDownload( page ) {
	var wSize;
	if ( page == 1 ) {
		actionTarget.css('height', '100px');
		wSize = '0';
	}else {
		wSize = '0';
	}
	actionTarget.animate( {width: wSize ,opacity: 0}, 90, 'easeOutCubic', function() {
		actionTarget.css('opacity', '1');
		actionTarget.removeClass("active");
	});
}
function heightSet( mov ) {
	lawList.css( 'height','auto' );
	var newHight = 0;
	if( mov == 1 ) {
		newHight = actionTarget.height() + 25;
	}else {
		newHight = actionTarget.height() + 10;
	}

	var article = $(actionTarget.parents('article.lawList')[0]);
	if (newHight < article.outerHeight()) {
		newHight = article.outerHeight();
	}
	actionTargetWrap.css( 'height', newHight +'px' );
}



var moreColumn;
var lawList;
var lawDownload;
var downloadBtn;
var windowWidth  = $(window).width();
function listAction() {

	//ファイルダウンロード　======================
	lawList         = $('.lawList');
	moreColumn      = $('.moreColumn');
	lawDownload = $('.lawDownload');
	downloadBtn = $(".downloadOpenBtn, .downloadClosedBtn");
	downloadBtn.on( 'click' , function(e) {
		actionTarget     = $(this).parent();
		actionTargetWrap = $(this).parent().parent();
		if( windowWidth < 1024 ){
			if( !actionTarget.hasClass('active') ) {
				e.stopPropagation();
				//lawDownload.removeClass('active');
				swipeListPopup('file');
				openFileDownload();
				$('.lawDownload.active ul li:first-child a').focus();
			}else {
				closedFileDownload();
			}
		}else{
			if( !actionTarget.hasClass('active') ) {
				e.stopPropagation();
				lawDownload.removeClass('active');
				actionTarget.addClass('active');
				$('.lawDownload.active ul li:first-child a').focus();
			}else {
				lawDownload.removeClass('active');
				actionTarget.css( 'height','auto' );
			}
		}
	});


	//ポップアップ：インフォメーション　======================
	var moreColumnBtn  = $('.moreColumnBtn');
	moreColumnBtn.on('click', function(e) {

		// 新規制定未施行法令一覧の対応
		if( moreColumnBtn.hasClass('disabled') ){
			return;
		}

		actionTarget     = $(this).parent();
		actionTargetWrap = $(this).parent().parent();
		if( windowWidth < 1024 ){
			e.stopPropagation();
			swipeListPopup('info');
			openMoreColumn();
			$('.moreColumn.active button.moreColumnClosedBtn').focus();
		}else{
			e.stopPropagation();
			moreColumn.removeClass('active');
			actionTarget.addClass('active');
			actionTarget.css( 'height','auto' );
			if( actionTarget.height() <= 75 ) {
				heightSet( 0 );
			}else{
				heightSet( 1 );
			}
			$('.moreColumn.active button.moreColumnClosedBtn').focus();
		}

	});
	var moreColumnClosedBtn = $('.moreColumnClosedBtn');
	moreColumnClosedBtn.on('click', function() {
		if( windowWidth < 1024 ){
			closedMoreColumn();
		}else{
			moreColumn.removeClass('active');
			actionTarget.css( 'height','auto' );
			actionTargetWrap.css( 'height','auto' );
		}
	});

	//インフォメーション枠内をクリックした場合、祖先へのイベント伝播を止める
	$('article.lawList div.moreColumn').on('click', function(e) {
		e.stopPropagation();
	});
	//インフォメーション枠内の日本法令索引へのリンクをクリックした場合、インフォメーション枠を閉じる
	$('.houreiBanner').on('click', function(e) {
		closeOpenedPopup();
	});
	//インフォメーション枠内の法令名リンクをクリックした場合、インフォメーション枠を閉じる
	$('.lawList_lawNameBtn').on('click', function(e) {
		closeOpenedPopup();
	});
}

var contentsHsize;//スクロールで使うためグローバル変数
var contentsWrap = $('#contentsWrap');
var contents = $('main');
var nodeHeight = "";
var browser    = $(window).height();
function contentsHeight() {
	var ans = "";
	var headHeight = "";
		nodeHeight = "";
		browser    = $(window).height();
	if( $('.popuUpPage').length ) {
		headHeight = 126;
	}else {
		headHeight = parseInt( contentsWrap.css('margin-top'), 10 );
//		if( $('body.top').length ) {
//			headHeight = headHeight + 8;
//		}
	}


	if( $('body.document').length ) {
		contentsHsize = $("#innerDocument").outerHeight() + headHeight;
	}else if( $('body.result').length ) {
		contentsHsize = $('#contentsBody').outerHeight();
	}else if( $('body.update').length ) {
		contentsHsize = contents.outerHeight();
	}else {
		contentsHsize = contentsWrap.outerHeight();
	}

	var footHeight = $('footer').outerHeight();
		ans        = browser - ( headHeight + footHeight ) - parseInt( contentsWrap.css('margin-bottom'), 10 );
		//if( $('body.top').length || $('body.result').length ) {
		//	ans = ans - parseInt( contentsWrap.css('margin-bottom'), 10 );
		//}
		nodeHeight = headHeight + contentsHsize + footHeight;
		if( nodeHeight < browser  ){
			//短い指定
			if( $('body.document').length ) {
				//条文ページでの短い指定
				contentsWrap.css('height', ans + 'px');
			}else{
				//通常ページでの短い指定
				contentsWrap.css('height', ans + 'px');
			}
		}else {
			//長い
			if( $('body.document').length ) {
				//条文ページでの長い指定
				contentsWrap.css('height', nodeHeight + 'px');
			}else{
				//ブラウザサイズよりコンテンツが長いので成り行き
				contentsWrap.css('height', 'auto');
			}
		}
}

function tocHeight() {
	var browser = $(window).height();
	var headHeight = 67;
	var contentsHsize = $("#innerDocument").outerHeight() /*+ headHeight*/;
	var footHeight = $('footer').outerHeight();
	var nodeHeight = headHeight + contentsHsize + footHeight;

	if (userIE == 1) {
		nodeHeight = contentsHsize + footHeight;
	}

	if( nodeHeight < browser ){
		//短い指定
		leftNaviSide.css('height', browser - ( headHeight + footHeight ) - 3 + 'px');
	}else {
		//長い指定
		if ($(window).scrollTop() > $('footer').offset().top - browser){
			leftNaviSide.addClass('showFoot');
			var body = window.document.body;
			var html = window.document.documentElement;
			var scrollTop = body.scrollTop || html.scrollTop;
			var h = html.scrollHeight - html.clientHeight - scrollTop;
			h = 103 - h;

			var hh = 0;
			if ($('header').is(':visible')) {
				hh = 67;
			}
			var wh = $(window).height();
			var lh = wh - h - hh;
			leftNaviSide.css('height', lh + 'px');
			leftNaviSide.scrollTop(99999);
		} else {
			leftNaviSide.removeClass('showFoot');
			if ($('header').is(':visible')) {
				leftNaviSide.css('height', 'calc(100% - 67px)');
			} else {
				leftNaviSide.css('height', 'calc(100% - 67px + 70px)');
			}
		}
	}
}
