/**
 * 条文表示画面js
 */

var posHonbun = 0;
var posToc = 0;
var posHistory = 0;
var posTimeline = 0;
var posDetail = 0;

//スクロール位置の保存
//タブの表示状態切り替え前に呼び出すこと
function saveScrollTop()
{
	if ($('#documentBtnSp').parent().hasClass('active')) {
		//本文から目次・沿革・詳細タブへ
		//本文スクロール位置を保存
		posHonbun = $(document).scrollTop();
	} else if ($('#tocOutlineBtnSp').parent().hasClass('active')) {
		//目次・沿革・詳細タブから本文へ
		//目次・沿革・詳細のスクロール位置を保存
		if ($('#tableOfContents').parent().hasClass('active')) {
			//目次表示中
			posToc = $(document).scrollTop();
		} else if ($('#outline').parent().hasClass('active')) {
			//沿革表示中
			if ($('#historyList').parent().hasClass('active')) {
				//沿革リスト表示中
				posHistory = $(document).scrollTop();
			} else if ($('#outline').parent().hasClass('active')) {
				//沿革タイムライン表示中
				posTimeline = $(document).scrollTop();
			}
		} else if ($('#details').parent().hasClass('active')) {
			//詳細表示中
			posDetail = $(document).scrollTop();
		}
	}
};

//スクロール位置の復元
//タブの表示状態切り替え後に呼び出すこと
function restoreScrollTop()
{
	if ($('#documentBtnSp').parent().hasClass('active')) {
		//本文表示へ
		$(document).scrollTop(posHonbun);
	} else  if ($('#tocOutlineBtnSp').parent().hasClass('active')) {
		//目次・沿革・詳細表示へ
		if ($('#tableOfContents').parent().hasClass('active')) {
			//目次表示中
			$(document).scrollTop(posToc);
		} else if ($('#outline').parent().hasClass('active')) {
			//沿革表示中
			if ($('#historyList').parent().hasClass('active')) {
				//沿革リスト表示中
				$(document).scrollTop(posHistory);
			} else if ($('#outline').parent().hasClass('active')) {
				//沿革タイムライン表示中
				$(document).scrollTop(posTimeline);
			}
		} else if ($('#details').parent().hasClass('active')) {
			//詳細表示中
			$(document).scrollTop(posDetail);
		}
	}
};

//イベント処理
$(function() {
	var leftOpenFlag;

	if ($(window).width() <= 1024) {
		leftOpenFlag = 0;
	} else {
		if ($.cookie('leftOpenFlag') == null) {
			leftOpenFlag = 1;
		} else {
			leftOpenFlag = parseInt($.cookie('leftOpenFlag'), 10);
		}

		$.cookie('leftOpenFlag', leftOpenFlag, { expires: 14 });
	}

	var rightOpenFlag;

	if ($(window).width() <= 1024) {
		rightOpenFlag = 0;
	} else {
		if ($.cookie('rightOpenFlag') == null) {
			rightOpenFlag = 0;
		} else {
			rightOpenFlag = parseInt($.cookie('rightOpenFlag'), 10);
		}
		$.cookie('rightOpenFlag', rightOpenFlag, { expires: 14 });
	}

	$('#outlineGraph').tooltip(
		{
			 tooltipClass: 'timelineTooltip'
			,create: function(ev, ui) {
				//tolltip表示のたびに変なログを残すので、それを抑制
				$(this).data("ui-tooltip").liveRegion.remove();
			}
		}
	);

	$('#tocOutlineBtn').on('click', function() {

		if ($(this).hasClass('openBtn')) {
			$('#leftNaviSide').addClass('active');
			$('#tocOutlineBtn').removeClass('openBtn');
			$('#searchKeyword').removeClass('wide');
			leftOpenFlag = 1;
		} else {
			$('#leftNaviSide').removeClass('active');
			$('#tocOutlineBtn').addClass('openBtn');
			$('#searchKeyword').addClass('wide');
			leftOpenFlag = 0;
		}

		$.cookie('leftOpenFlag', leftOpenFlag, { expires: 14 });

		if (leftOpenFlag == 1 && rightOpenFlag == 1) {
			$('#contentsLaw').addClass('allOpen').removeClass('allClosed');
		} else if (leftOpenFlag == 0 && rightOpenFlag == 0) {
			$('#contentsLaw').addClass('allClosed').removeClass('allOpen');
		} else if ((leftOpenFlag == 1 && rightOpenFlag == 0) || (leftOpenFlag == 0 && rightOpenFlag == 1)) {
			$('#contentsLaw').removeClass('allClosed allOpen');
		}

		setTocOutlineBtnOffset(true);
		timelineShowScaleControl();
	});

	// PDFアイコンからPOPUPで表示
	/**
	 * 画面クリック時
	 */
	$('body').on('click', function(e) {

		//ファイルダウンロードpopupを消す
		//$('.lawDownload.active').removeClass('active');
		$('#downloadFile.active').removeClass('active');
	});

	/**
	 * ファイルダウンロードpopupを開く
	 */
	$('#downloadFileBtn').on('click', function(e) {
		e.stopPropagation();
		var downloadFile = $('#downloadFile');

		if (!downloadFile.hasClass('active')) {
			downloadFile.addClass('active');
		}
	});

	/**
	 * ダウンロードpopupを閉じる
	 */
	$('#downloadFileCloseBtn').on('click', function(e){
		$('#downloadFile').removeClass('active');
	});

	if (userDevice == 0 || userDevice == 1) {
		$('#printBtn').on('click', function() {
			window.print();
		});
	}

	/**
	 * ハイライト表示のチェックボックスクリック
	 */
	$('#searchKeyword input[type="checkbox"], #searchKeyword2 input[type="checkbox"], #searchKeywordSp input[type="checkbox"]').on('click', function() {

		//前後ヒットのカレント位置をクリア
		$('.searchLabel').removeClass('active');
		$('.searchLabel').removeClass('sub-active');
		var id = $(this).prop('id');
		var isChk = $(this).prop('checked');

		var txt = $(this).val();
		var tag = '<span class="searchLabel searchLabelView">' + txt + '</span>';

		if (isChk) {
			//ハイライト表示
			//★★★クライアントでタグを付ける場合
			var replace_txt = $("#lawArea").html().replace(new RegExp(txt, "g"), tag);
			$('#lawArea').html(replace_txt);

			//★★★サーバでタグを付ける場合
			// $('.searchLabel.searchLabel-' + id).addClass('searchLabelView');
			// $('#next').trigger('click');
		} else {
			//ハイライトを消す
			//★★★クライアントでタグを付ける場合
			var replace_txt = $("#lawArea").html().replace(new RegExp(tag, "g"), txt);
			$('#lawArea').html(replace_txt);

			//★★★サーバでタグを付ける場合
			// $('.searchLabel.searchLabel-' + id).removeClass('searchLabelView');
		}
	});

	/**
	 * ハイライト表示　要素のsearchLabelIdを取得
	 */
	function getSearchLabelId(e)
	{
		var elem = $(e);
		var classes = (elem.prop('class')).split(' ');
		var id = '';

		$.each(classes, function(idx, cls) {
			if (cls.substring(0, 14) == 'searchLabelId-') {
				id = cls;
				return false;
			}
		});

		return id;
	}

	/**
	 * ハイライト表示　前ヒット(ルビ非対応版)
	 */
	$('#prev').on('click', function() {
		//新ロジック(1文字ずつspan)
		var viewWords = $('.searchLabel.searchLabelView');
		var activElem = $('.searchLabel.active');

		if (viewWords.length <= 0) {
			//表示中要素がなければ終了
			return;
		}

		activElem.removeClass('active');

		//ハイライト移動
		if (activElem.length  <= 0) {
			//カレント要素なしなら末尾をカレントに
			activElem = viewWords.eq(viewWords.length - 1);
		} else {
			//カレント要素があるなら前へ
			var idx = viewWords.index(activElem) - 1;

			if (idx < 0) {
				//先頭なら終端へ
				idx = viewWords.length - 1;
			}

			activElem = viewWords.eq(idx);
		}

		activElem.addClass('active');

		$('html, body').animate({ scrollTop: $('.searchLabel.active').offset().top - $(window).height() / 2 }, 400, 'swing');
		return;
	});

	/**
	 * ハイライト表示　次ヒット(ルビ非対応版)
	 */
	$('#next').on('click', function() {
		//新ロジック(1文字ずつspan)
		var viewWords = $('.searchLabel.searchLabelView');
		var activElem = $('.searchLabel.active');

		if (viewWords.length <= 0) {
			//表示中要素がなければ終了
			return;
		}

		activElem.removeClass('active');

		//ハイライト移動
		if (activElem.length  <= 0) {
			//カレント要素なしなら先頭をカレントに
			activElem = viewWords.eq(0);
		} else {
			//カレント要素があるなら次へ
			var idx = viewWords.index(activElem) + 1;

			if (idx >= viewWords.length) {
				//終端なら先頭へ
				idx = 0;
			}

			activElem = viewWords.eq(idx);
		}

		activElem.addClass('active');
		$('html, body').animate({ scrollTop: $('.searchLabel.active').offset().top - $(window).height() / 2 }, 400, 'swing');
		return;
	});

	// /**
	//  * ハイライト表示　前ヒット（ルビ対応版）
	//  */
	// $('#prev').on('click', function() {

	// 	//新ロジック(1文字ずつspan)
	// 	var viewWords = $('.searchLabel.searchLabelView');
	// 	var topWords = $('.searchLabel.searchLabelView.searchLabel-top');
	// 	var activElem = $('.searchLabel.active');
	// 	var searchId = null;

	// 	//SPモードなら本文を表示する
	// 	if ($('#documentBtnSp').length > 0) {
	// 		$('#documentBtnSp').trigger('click');
	// 	}

	// 	if (activElem.length  <= 0) {
	// 		//カレント要素なしなら末尾をカレントに
	// 		activElem = topWords.eq(topWords.length - 1);
	// 	} else {
	// 		//以下、カレント要素あり
	// 		searchId = getSearchLabelId(activElem);

	// 		//現要素を通常表示に戻す
	// 		activElem.removeClass('active');
	// 		$('.searchLabel.searchLabelView.sub-active').removeClass('sub-active');

	// 		//次にactiveとなるべき要素を探す
	// 		var no = topWords.index(activElem);
	// 		var nextActive = null;
	// 		for (var i = no - 1; i >= 0; i--) {
	// 			var elem = topWords.eq(i);
	// 			if (elem.hasClass('searchLabel-top')) {
	// 				nextActive = elem;
	// 				break;
	// 			}
	// 		}

	// 		//新しい要素をカレント化
	// 		if (nextActive) {
	// 			activElem = nextActive;
	// 		} else {
	// 			//先頭までいったら終端へ戻る
	// 			activElem = topWords.eq(topWords.length - 1);
	// 		}
	// 	}

	// 	activElem.addClass('active');

	// 	//serarchLabelIdを取得し、同じidの要素も同様に色つき表示
	// 	searchId = getSearchLabelId(activElem);

	// 	if (searchId != '') {
	// 		$('.searchLabel.searchLabelView.' + searchId).not('.active').addClass('sub-active');
	// 	}

	// 	$('html, body').animate({ scrollTop: $('.searchLabel.active').offset().top - $(window).height() / 2 }, 400, 'swing');
	// 	return;
	// });

	// /**
	//  * ハイライト表示　次ヒット(ルビ対応版)
	//  */
	// $('#next').on('click', function() {

	// 	//新ロジック(1文字ずつspan)
	// 	var viewWords = $('.searchLabel.searchLabelView');
	// 	var topWords = $('.searchLabel.searchLabelView.searchLabel-top');
	// 	var activElem = $('.searchLabel.active');
	// 	var searchId = null;

	// 	//SPモードなら本文を表示する
	// 	if ($('#documentBtnSp').length > 0) {
	// 		$('#documentBtnSp').trigger('click');
	// 	}

	// 	//ハイライト移動
	// 	if (activElem.length  <= 0) {
	// 		//カレント要素なしなら先頭をカレントに
	// 		activElem = topWords.eq(0);
	// 	} else {
	// 		//以下、カレント要素あり
	// 		searchId = getSearchLabelId(activElem);

	// 		//現要素を通常表示に戻す
	// 		activElem.removeClass('active');
	// 		$('.searchLabel.searchLabelView.sub-active').removeClass('sub-active');

	// 		//次にactiveとなるべき要素を探す
	// 		var no = topWords.index(activElem);
	// 		var nextActive = null;

	// 		for (var i = no + 1; i < topWords.length; i++) {
	// 			var elem = topWords.eq(i);
	// 			if (elem.hasClass('searchLabel-top')) {
	// 				nextActive = elem;
	// 				break;
	// 			}
	// 		}

	// 		//新しい要素をカレント化
	// 		if (nextActive) {
	// 			activElem = nextActive;
	// 		} else {
	// 			//終端までいったら先頭へ戻る
	// 			activElem = topWords.eq(0);
	// 		}
	// 	}

	// 	activElem.addClass('active');

	// 	//serarchLabelIdを取得し、同じidの要素も同様に色つき表示
	// 	searchId = getSearchLabelId(activElem);

	// 	if (searchId != '') {
	// 		$('.searchLabel.searchLabelView.' + searchId).not('.active').addClass('sub-active');
	// 	}

	// 	$('html, body').animate({ scrollTop: $('.searchLabel.active').offset().top - $(window).height() / 2 }, 400, 'swing');
	// 	return;
	// });


	$('#pOutline button').on('click', function() {
		saveScrollTop();

		$('#pOutline button').removeClass('active');
		$(this).addClass('active');

		if ($(this).hasClass('list')) {
			$('#historyList').parent().addClass('active');
			$('#historyOutline').parent().removeClass('active');
			$('#outlineList').addClass('active');
			$('#outlineGraph').removeClass('active');
		} else {
			$('#historyList').parent().removeClass('active');
			$('#historyOutline').parent().addClass('active');
			$('#outlineList').removeClass('active');
			$('#outlineGraph').addClass('active');
		}

		timelineShowScaleControl();
		restoreScrollTop();
	});

	if ($(window).width() <= 1024) {
		//目次・沿革・詳細タブクリック
		$('#tocOutlineBtnSp').on('click', function() {
			saveScrollTop();

			if (!$('#leftNaviSide').hasClass('active')) {
				//$("html, body").scrollTop(0);
			}

			$('#leftNaviSide').addClass('active');
			$('#contentsLaw').removeClass('active');
			$('#relationLinkSide').removeClass('active');

			$('#documentBtnSp').parent().removeClass('active');
			$('#tocOutlineBtnSp').parent().addClass('active');

			$('#downloadFileBtn').addClass('hide');
			$('#downloadFile').removeClass('active');

			//目次・沿革・詳細のスクロール位置を復元
			restoreScrollTop();
			timelineShowScaleControl();
		});

		//本文タブクリック
		$('#documentBtnSp').on('click', function() {
			saveScrollTop();

			$('#leftNaviSide').removeClass('active');
			if (!$('#contentsLaw').hasClass('active')) {
				//$("html, body").scrollTop(0);
			}
			$('#contentsLaw').addClass('active');
			$('#relationLinkSide').removeClass('active');

			$('#tocOutlineBtnSp').parent().removeClass('active');
			$('#documentBtnSp').parent().addClass('active');
			$('#downloadFileBtn').removeClass('hide');

			//本文のスクロール位置を復元
			restoreScrollTop();
			timelineShowScaleControl();
		});

		$('#delInfoBtnSp').on('click', function() {
			$('#searchKeywordSp').removeClass('active');
		});

		$('#searchBtnSp').on('click', function() {

			if ($('#searchKeywordSp').length > 0) {
				if ($('#searchKeywordSp').hasClass('active')) {
					$('#searchKeywordSp').removeClass('active');
				} else {
					$('#searchKeywordSp').addClass('active');
				}

				//timelineShowScaleControl();
			}
		});
	}
});

/**
 * 目次と本文のロード処理
 */
$(function(){
	//検索引数取得
	var parm = location.search;

	//目次のロード
	$('#toc').load('./toc' + parm, function() {
		if ($('#toc input.nodata_redirect').val() == '***nodata***') {
			//目次データなし
			location.href = './notfound';
			return;
		}

		//イベントハンドラ
		//toc1
		$('#tocTab button').on('click', function() {
			saveScrollTop();
			$('#tocTab button').removeClass('active');
			$(this).addClass('active');

			if ($(this).attr('id') == 'tableOfContents') {
				$('#tableOfContents').parent().addClass('active');
				$('#outline').parent().removeClass('active');
				$('#details').parent().removeClass('active');
				$('#toc').show();
				$('#history').hide();
				$('#detailsArea').hide();
			} else if ($(this).attr('id') == 'outline') {
				$('#tableOfContents').parent().removeClass('active');
				$('#outline').parent().addClass('active');
				$('#details').parent().removeClass('active');
				$('#toc').hide();
				$('#history').show();
				$('#detailsArea').hide();
			} else if ($(this).attr('id') == 'details') {
				$('#tableOfContents').parent().removeClass('active');
				$('#outline').parent().removeClass('active');
				$('#details').parent().addClass('active');
				$('#toc').hide();
				$('#history').hide();
				$('#detailsArea').show();
			}

			timelineShowScaleControl();
			restoreScrollTop();
		});

		//toc2
		$('#tocCheckbox button').on('click', function() {
			$('#tocCheckbox button').removeClass('active');
			$(this).addClass('active');

			if ($('#tocCheckbox button.allCheck').hasClass('active')) {
				$('#tocCheckbox button.allCheck').addClass('active');
				$('#tocCheckbox button.allCrear').removeClass('active');
				$('#pNavi .tableOfContents2 input[type="checkbox"]').prop('checked', true);

				for (var i = 0; i < $('#pNavi .tableOfContents2 input[type="checkbox"]').length; i++) {
					$('#pNavi .tableOfContents2 input[type="checkbox"]').eq(i).next().attr('href', '#' + $('#pNavi .tableOfContents2 input[type="checkbox"]').eq(i).val());
				}

				$('#innerDocument section').addClass('active');
			} else {
				$('#tocCheckbox button.allCheck').removeClass('active');
				$('#tocCheckbox button.allCrear').addClass('active');
				$('#pNavi .tableOfContents2 input[type="checkbox"]').prop('checked', false);
				$('#pNavi .tableOfContents2 input[type="checkbox"]').next().removeAttr('href');
				$('#innerDocument section').removeClass('active');
			}

			contentsHeight();
			tocHeight();
		});

		//toc3
		/**
		 * 目次の祖先を遡ってチェックを付ける
		 * @param Element チェックボックス
		 */
		function checkParents(elem)
		{
			elem = $(elem);

			//checkboxの親のdivの親のdivの兄のdiv の 子孫のinput[type="checkbox"]をチェックする
			var div = elem.parents('div').get(1);	//checkboxの親のdivの親のdiv

			if (!div) {
				//divがなければ終了
				return ;
			}

			div = $(div);

			if (div.prop('id') == 'toc') {
				//目次の先頭に達したら終了
				return;
			}

			div = div.prev('div');	//checkboxの親のdiv の 直前の兄div

			if (div.length <= 0) {
				//なければ終了
				return ;
			}

			if (div.prop('id') == 'toc') {
				//目次の先頭に達したら終了
				return;
			}

			if (div.hasClass('tableOfContents2')) {
				//tableOfContents2なら終了
				return;
			}

			var inputs = div.find('input[type="checkbox"]');

			inputs.each(function(idx, inp){
				inp = $(inp);

				if (!inp.prop('checked')) {
					//チェックが付いていなければ付ける
					inp.prop('checked', true);
					inp.next().attr('href', '#' + inp.val());
					var section = $('#' + inp.val().replace(':','\\:')).closest('section');
					section.addClass('active');

					//目次先頭まで再帰処理
					checkParents(inp);
				}
			});
		}

		/**
		 * 目次チェックon//off処理
		 */
		$('#pNavi .tableOfContents2 input[type="checkbox"]').on('click', function() {
			var xthis = $(this);

			if (xthis.prop('checked')) {
				//チェックが付いている場合、
				xthis.next().attr('href', '#' + xthis.val());
				var section = $('#' + xthis.val().replace(':','\\:')).closest('section');
				section.addClass('active');
				section.find('section').addClass('active');

				//祖先もチェックを付ける
				checkParents(xthis);

				//子孫もチェックを付ける
				var div = $(xthis.parents('div').get(0)).next('div');	//checkboxの親のdivの弟のdiv

				if (div.children('div').length > 0) {
					//checkboxの親のdivの弟のdivが、子階層なら
					var inputs = $(div).find('input[type="checkbox"]');

					if (inputs) {
						inputs.each(function(idx, inp){
							inp = $(inp);

							if (!inp.prop('checked')) {
								//チェックが付いていなければ付ける
								inp.prop('checked', true);
								inp.next('a').attr('href', '#' + inp.val());
								section = $('#' + (inp.val()).replace(':','\\:')).closest('section');
								section.addClass('active');
							}
						});
					}
				}
			} else {
				//チェックが付いていない場合、
				xthis.next('a').removeAttr('href');
				var section = $('#' + xthis.val().replace(':','\\:')).closest('section');
				section.removeClass('active');

				//子孫のチェックを外す
				var div = $(xthis.parents('div').get(0)).next('div');	//checkboxの親のdivの弟のdiv

				if (div.children('div').length > 0) {
					//checkboxの親のdivの弟のdivが、子階層なら
					var inputs = $(div).find('input[type="checkbox"]');

					inputs.each(function(idx, inp){
						inp = $(inp);

						if (inp.prop('checked')) {
							//チェックが付いていれば外す
							inp.prop('checked', false);
							inp.next('a').removeAttr('href');
							section = $('#' + (inp.val()).replace(':','\\:')).closest('section');
							section.removeClass('active');
						}
					});
				}
			}

			contentsHeight();
			tocHeight();

			return;

		});


		//toc4
		$('.opener').on('click', function(e) {
			var div = $($(this).find('div.toc_img')[0]);

			if (div.hasClass('toc_opened')) {
				div.removeClass('toc_opened');
				div.addClass('toc_closed');
				$(this).parent().next().css('display', 'none');
			} else {
				div.removeClass('toc_closed');
				div.addClass('toc_opened');
				$(this).parent().next().css('display', 'block');
			}

			e.preventDefault();
		});

		//toc5
		$('.tableOfContents2 a:not(.opener), #innerDocument #TOC a.Link').on('click', function(e) {
			e.preventDefault();	//デフォルトのリンクの動作を抑制
			var elem = $(this);

			if ($(window).width() <= 1024) {
				//SPの場合の表示切り替え
				saveScrollTop();
				$('#leftNaviSide').removeClass('active');

				if (!$('#contentsLaw').hasClass('active')) {
					//$("html, body").scrollTop(0);
				}

				$('#contentsLaw').addClass('active');
				$('#relationLinkSide').removeClass('active');
				$('#tocOutlineBtnSp').parent().removeClass('active');
				$('#documentBtnSp').parent().addClass('active');
				$('#downloadFileBtn').removeClass('hide');
				restoreScrollTop();
			}

			//移動先idを取得
			var id = elem.attr('href');

			if (id == '') {
				//idがなければスキップ
				return;
			}

			//移動先へスクロール
			var tElem = $(id);

			if (tElem.length <= 0) {
				return;
			}

			var nowPos = $('html, body').scrollTop();
			var newPos = tElem.offset().top;

			if (newPos < nowPos) {
				newPos -= 67;
			}

			var searchKeyword = $("#searchKeyword");

			if (searchKeyword.length > 0) {
				var searchKeywordHeight = searchKeyword.height();
				newPos -= (searchKeywordHeight + 10);
			}

			$('html, body').scrollTop(newPos);
		});

	});

	//本文のロード
	$('#lawArea').load('./law' + parm, function() {
		if ($('#lawArea input.nodata_redirect').val() == '***nodata***') {
			//本文データなし
			location.href = './notfound';
			return;
		}

		//キーワード件数表示
		$('input._keyword_cnt_val').each(function(idx, elem){
			elem = $(elem);
			var name = elem.prop('name');
			var val = elem.val();
			$('#' + name).text(val);
		});

		//ダウンロードアイコン等表示
		$('#downloadFileBtn').removeClass('hide');
		$('#printBtn').removeClass('hide');

		setTocOutlineBtnOffset(true);

		//#指定の場合、指定位置へ移動
		{
			if (location.hash != '') {
				var id = location.hash;
			}

			//移動先へスクロール
			var tElem = $(id);

			if (tElem.length > 0) {
				var nowPos = $('html, body').scrollTop();
				var newPos = tElem.offset().top;

				if (newPos < nowPos) {
					newPos -= 67;
				}

				var searchKeyword = $("#searchKeyword");

				if (searchKeyword.length > 0) {
					var searchKeywordHeight = searchKeyword.height();
					newPos -= (searchKeywordHeight + 10);
				}

				$('html, body').scrollTop(newPos);
			}
		}

		/**
		 * 目次のリンククリック時の処理
		 */
		$('#lawArea #TOC a').on('click', function(e){
			e.preventDefault();	//デフォルトのリンクの動作を抑制
			var elem = $(this);

			//移動先idを取得
			var id = elem.attr('href');

			if (id == '') {
				//idがなければスキップ
				return;
			}

			//移動先へスクロール
			var tElem = $(id);

			if (tElem.length <= 0) {
				return;
			}

			var nowPos = $('html, body').scrollTop();
			var newPos = tElem.offset().top;

			if (newPos < nowPos) {
				newPos -= 67;
			}

			var searchKeyword = $("#searchKeyword");

			if (searchKeyword.length > 0) {
				var searchKeywordHeight = searchKeyword.height();
				newPos -= (searchKeywordHeight + 10);
			}

			$('html, body').scrollTop(newPos);
		});

//		contentsHeight();
		for (var i = 0; i < $('img').length; i++) {
			var img = $('<img>');
			img.on('load', function() {
				contentsHeight();
				tocHeight();
			});
			img.attr('src', $('img').eq(i).attr('src'));
		};
	});
});

/**
 * 施行日選択
 */
$(function(){
	$('#effectiveDate').on('change', function(e){
		var sel = $(this);
		var uniqueId = sel.val();
		var myUniqueId = $('#law_unique_id').val();

		if (uniqueId != '' && uniqueId != myUniqueId) {
			var pat = /lawid=[A-Z0-9_]+/gi
			var newUri = (location.href).replace(pat, 'lawid=' + uniqueId);
			pat = /law_unique_id=[A-Z0-9_]+/gi
			newUri = (newUri).replace(pat, 'lawid=' + uniqueId);
			location.href = newUri;
		}

	});
});